[
  {
    "attrApplyFirstFlag": false,
    "campaignAwardLimits": null,
    "campaignContributors": null,
    "campaignCriteria": null,
    "campaignFormulaEights": null,
    "campaignFormulaElevens": null,
    "campaignFormulaFives": null,
    "campaignFormulaFour": null,
    "campaignFormulaOne": null,
    "campaignFormulaSetting": {
      "amountToUse": {
        "attributes": {},
        "code": null,
        "description": null,
        "notFound": false,
        "recordStatus": null
      },
      "applyCapValueAfter": null,
      "capAwardCounterId": {
        "attributes": {},
        "code": null,
        "description": null,
        "notFound": false,
        "recordStatus": null
      },
      "capAwardType": null,
      "capAwardValue": null,
      "lastApproveBy": null,
      "lastApproveByName": null,
      "lastApproveDate": null,
      "lastUpdateBy": null,
      "lastUpdateByName": null,
      "lastUpdateDate": null,
      "nParam": null,
      "recordNo": null,
      "roundingType": null,
      "ruleId": null,
      "ruleRecordNo": null,
      "status": null
    },
    "campaignFormulaSix": null,
    "campaignFormulaTens": null,
    "campaignFormulaTwo": null,
    "campaignId": {
      "attributes": {},
      "code": "LACO",
      "description": "Happy Birthday!",
      "notFound": false,
      "recordStatus": null
    },
    "campaignRuleSchedule": null,
    "campaignTcLinkages": null,
    "channel": null,
    "counterExtractRequest": null,
    "dayOfMonth": null,
    "description": "This campaign targets students aged 18 to 22. Members earn 10 reward points\nfor every eligible transaction. In addition, customers receive 10% bonus points for each eligible\ntransaction with a minimum spend of USD 1,000. All reward points and bonus points earned from this\ncampaign will be credited to the POLS pool. The campaign aims to encourage spending, increase\ncustomer engagement, and reward loyal student members.",
    "effectiveFrom": "2026-07-13T00:00:00",
    "effectivePeriodIsBase": "TD",
    "effectiveTo": "2026-07-13T21:56:36",
    "expiryPolicy": null,
    "expiryPolicyParam": null,
    "fixedDate": null,
    "formulaSequence": ["f2", "f4"],
    "itemCode": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    },
    "lastApproveBy": null,
    "lastApproveByName": null,
    "lastApproveDate": null,
    "lastUpdateBy": "olscnadmin",
    "lastUpdateByName": "olscnadmin",
    "lastUpdateDate": "2026-07-13T14:57:24.630881Z",
    "marketingRewardRequest": null,
    "messageTemplateId": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    },
    "monthOfYear": null,
    "notUpdatePool": false,
    "poolId": {
      "attributes": { "precision": "2", "poolType": "BPT" },
      "code": "POLS",
      "description": "Default Redemption Pools",
      "notFound": false,
      "recordStatus": null
    },
    "recordNo": "864520761618609777",
    "redemptionExtract": null,
    "rewardContentEmail": null,
    "rewardContentNotification": null,
    "rewardContentSms": null,
    "ruleId": "F7H3",
    "ruleName": "happy birthday",
    "ruleType": "AWD",
    "segApplyFirstFlag": false,
    "status": "C",
    "stopIfCriteriaMet": false,
    "subPoolId": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    }
  },
  {
    "attrApplyFirstFlag": false,
    "campaignAwardLimits": null,
    "campaignContributors": null,
    "campaignCriteria": null,
    "campaignFormulaEights": null,
    "campaignFormulaElevens": null,
    "campaignFormulaFives": null,
    "campaignFormulaFour": null,
    "campaignFormulaOne": null,
    "campaignFormulaSetting": {
      "amountToUse": {
        "attributes": {},
        "code": null,
        "description": null,
        "notFound": false,
        "recordStatus": null
      },
      "applyCapValueAfter": null,
      "capAwardCounterId": {
        "attributes": {},
        "code": null,
        "description": null,
        "notFound": false,
        "recordStatus": null
      },
      "capAwardType": null,
      "capAwardValue": null,
      "lastApproveBy": null,
      "lastApproveByName": null,
      "lastApproveDate": null,
      "lastUpdateBy": null,
      "lastUpdateByName": null,
      "lastUpdateDate": null,
      "nParam": null,
      "recordNo": null,
      "roundingType": null,
      "ruleId": null,
      "ruleRecordNo": null,
      "status": null
    },
    "campaignFormulaSix": null,
    "campaignFormulaTens": null,
    "campaignFormulaTwo": null,
    "campaignId": {
      "attributes": {},
      "code": "LACO",
      "description": "Happy Birthday!",
      "notFound": false,
      "recordStatus": null
    },
    "campaignRuleSchedule": null,
    "campaignTcLinkages": null,
    "channel": null,
    "counterExtractRequest": null,
    "dayOfMonth": null,
    "description": null,
    "effectiveFrom": "2026-06-29T15:55:13",
    "effectivePeriodIsBase": null,
    "effectiveTo": "2029-06-29T15:55:14",
    "expiryPolicy": null,
    "expiryPolicyParam": null,
    "fixedDate": null,
    "formulaSequence": ["f2"],
    "itemCode": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    },
    "lastApproveBy": null,
    "lastApproveByName": null,
    "lastApproveDate": null,
    "lastUpdateBy": "olscnadmin",
    "lastUpdateByName": "olscnadmin",
    "lastUpdateDate": "2026-07-13T08:38:20.406699Z",
    "marketingRewardRequest": null,
    "messageTemplateId": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    },
    "monthOfYear": null,
    "notUpdatePool": false,
    "poolId": {
      "attributes": { "precision": "2", "poolType": "BPT" },
      "code": "POLS",
      "description": "Default Redemption Pools",
      "notFound": false,
      "recordStatus": null
    },
    "recordNo": "864425504017101772",
    "redemptionExtract": null,
    "rewardContentEmail": null,
    "rewardContentNotification": null,
    "rewardContentSms": null,
    "ruleId": "FFN6",
    "ruleName": "Happy Birthday",
    "ruleType": "MAWD",
    "segApplyFirstFlag": false,
    "status": "E",
    "stopIfCriteriaMet": false,
    "subPoolId": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    }
  },
  {
    "attrApplyFirstFlag": false,
    "campaignAwardLimits": null,
    "campaignContributors": null,
    "campaignCriteria": null,
    "campaignFormulaEights": null,
    "campaignFormulaElevens": null,
    "campaignFormulaFives": null,
    "campaignFormulaFour": null,
    "campaignFormulaOne": null,
    "campaignFormulaSetting": {
      "amountToUse": {
        "attributes": {},
        "code": null,
        "description": null,
        "notFound": false,
        "recordStatus": null
      },
      "applyCapValueAfter": null,
      "capAwardCounterId": {
        "attributes": {},
        "code": null,
        "description": null,
        "notFound": false,
        "recordStatus": null
      },
      "capAwardType": null,
      "capAwardValue": null,
      "lastApproveBy": null,
      "lastApproveByName": null,
      "lastApproveDate": null,
      "lastUpdateBy": null,
      "lastUpdateByName": null,
      "lastUpdateDate": null,
      "nParam": null,
      "recordNo": null,
      "roundingType": null,
      "ruleId": null,
      "ruleRecordNo": null,
      "status": null
    },
    "campaignFormulaSix": null,
    "campaignFormulaTens": null,
    "campaignFormulaTwo": null,
    "campaignId": {
      "attributes": {},
      "code": "LACO",
      "description": "Happy Birthday!",
      "notFound": false,
      "recordStatus": null
    },
    "campaignRuleSchedule": null,
    "campaignTcLinkages": null,
    "channel": null,
    "counterExtractRequest": null,
    "dayOfMonth": null,
    "description": null,
    "effectiveFrom": "2026-08-08T00:00:00",
    "effectivePeriodIsBase": "TD",
    "effectiveTo": "2029-12-31T00:00:00",
    "expiryPolicy": null,
    "expiryPolicyParam": null,
    "fixedDate": null,
    "formulaSequence": ["f2"],
    "itemCode": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    },
    "lastApproveBy": null,
    "lastApproveByName": null,
    "lastApproveDate": null,
    "lastUpdateBy": "olscnadmin",
    "lastUpdateByName": "olscnadmin",
    "lastUpdateDate": "2026-07-12T10:41:20.913223Z",
    "marketingRewardRequest": null,
    "messageTemplateId": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    },
    "monthOfYear": null,
    "notUpdatePool": false,
    "poolId": {
      "attributes": { "precision": "2", "poolType": "BPT" },
      "code": "POLS",
      "description": "Default Redemption Pools",
      "notFound": false,
      "recordStatus": null
    },
    "recordNo": "864094072241533843",
    "redemptionExtract": null,
    "rewardContentEmail": null,
    "rewardContentNotification": null,
    "rewardContentSms": null,
    "ruleId": "7M5B",
    "ruleName": "Happy Birthday VIP Bonus",
    "ruleType": "AWD",
    "segApplyFirstFlag": false,
    "status": "C",
    "stopIfCriteriaMet": false,
    "subPoolId": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    }
  },
  {
    "attrApplyFirstFlag": false,
    "campaignAwardLimits": null,
    "campaignContributors": null,
    "campaignCriteria": null,
    "campaignFormulaEights": null,
    "campaignFormulaElevens": null,
    "campaignFormulaFives": null,
    "campaignFormulaFour": null,
    "campaignFormulaOne": null,
    "campaignFormulaSetting": {
      "amountToUse": {
        "attributes": {},
        "code": null,
        "description": null,
        "notFound": false,
        "recordStatus": null
      },
      "applyCapValueAfter": null,
      "capAwardCounterId": {
        "attributes": {},
        "code": null,
        "description": null,
        "notFound": false,
        "recordStatus": null
      },
      "capAwardType": null,
      "capAwardValue": null,
      "lastApproveBy": null,
      "lastApproveByName": null,
      "lastApproveDate": null,
      "lastUpdateBy": null,
      "lastUpdateByName": null,
      "lastUpdateDate": null,
      "nParam": null,
      "recordNo": null,
      "roundingType": null,
      "ruleId": null,
      "ruleRecordNo": null,
      "status": null
    },
    "campaignFormulaSix": null,
    "campaignFormulaTens": null,
    "campaignFormulaTwo": null,
    "campaignId": {
      "attributes": {},
      "code": "LACO",
      "description": "Happy Birthday!",
      "notFound": false,
      "recordStatus": null
    },
    "campaignRuleSchedule": null,
    "campaignTcLinkages": null,
    "channel": null,
    "counterExtractRequest": null,
    "dayOfMonth": null,
    "description": "create a campaign rule with Rule Name VVIP Birthday Reward Campaign, Campaign ID: Happy Birthday!, Post Transaction Code is POS PURCHASE, Log Transaction store is One Loyalty System, Rule Type is Marketing Award. Run Schedule is Schedule, One Time, 2026-06-01, Time: 00:00. Start Date is 2026-06-01, End Date is 2026-06-30.",
    "effectiveFrom": "2026-06-01T00:00:00",
    "effectivePeriodIsBase": null,
    "effectiveTo": "2026-06-30T00:00:00",
    "expiryPolicy": null,
    "expiryPolicyParam": null,
    "fixedDate": null,
    "formulaSequence": ["f2"],
    "itemCode": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    },
    "lastApproveBy": null,
    "lastApproveByName": null,
    "lastApproveDate": null,
    "lastUpdateBy": "olscnadmin",
    "lastUpdateByName": "olscnadmin",
    "lastUpdateDate": "2026-07-12T08:57:13.215065Z",
    "marketingRewardRequest": null,
    "messageTemplateId": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    },
    "monthOfYear": null,
    "notUpdatePool": false,
    "poolId": {
      "attributes": { "precision": "2", "poolType": "BPT" },
      "code": "POLS",
      "description": "Default Redemption Pools",
      "notFound": false,
      "recordStatus": null
    },
    "recordNo": "864067867496823883",
    "redemptionExtract": null,
    "rewardContentEmail": null,
    "rewardContentNotification": null,
    "rewardContentSms": null,
    "ruleId": "JCK6",
    "ruleName": "VVIP Birthday Reward Campaign",
    "ruleType": "MAWD",
    "segApplyFirstFlag": false,
    "status": "C",
    "stopIfCriteriaMet": false,
    "subPoolId": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    }
  },
  {
    "attrApplyFirstFlag": false,
    "campaignAwardLimits": null,
    "campaignContributors": null,
    "campaignCriteria": null,
    "campaignFormulaEights": null,
    "campaignFormulaElevens": null,
    "campaignFormulaFives": null,
    "campaignFormulaFour": null,
    "campaignFormulaOne": null,
    "campaignFormulaSetting": {
      "amountToUse": {
        "attributes": {},
        "code": null,
        "description": null,
        "notFound": false,
        "recordStatus": null
      },
      "applyCapValueAfter": null,
      "capAwardCounterId": {
        "attributes": {},
        "code": null,
        "description": null,
        "notFound": false,
        "recordStatus": null
      },
      "capAwardType": null,
      "capAwardValue": null,
      "lastApproveBy": null,
      "lastApproveByName": null,
      "lastApproveDate": null,
      "lastUpdateBy": null,
      "lastUpdateByName": null,
      "lastUpdateDate": null,
      "nParam": null,
      "recordNo": null,
      "roundingType": null,
      "ruleId": null,
      "ruleRecordNo": null,
      "status": null
    },
    "campaignFormulaSix": null,
    "campaignFormulaTens": null,
    "campaignFormulaTwo": null,
    "campaignId": {
      "attributes": {},
      "code": "LACO",
      "description": "Happy Birthday!",
      "notFound": false,
      "recordStatus": null
    },
    "campaignRuleSchedule": null,
    "campaignTcLinkages": null,
    "channel": null,
    "counterExtractRequest": null,
    "dayOfMonth": null,
    "description": "Happy Birthday! [LACO]",
    "effectiveFrom": "2026-06-01T00:00:00",
    "effectivePeriodIsBase": null,
    "effectiveTo": "2026-06-30T00:00:00",
    "expiryPolicy": null,
    "expiryPolicyParam": null,
    "fixedDate": null,
    "formulaSequence": ["f2"],
    "itemCode": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    },
    "lastApproveBy": null,
    "lastApproveByName": null,
    "lastApproveDate": null,
    "lastUpdateBy": "olscnadmin",
    "lastUpdateByName": "olscnadmin",
    "lastUpdateDate": "2026-07-12T08:51:01.210945Z",
    "marketingRewardRequest": null,
    "messageTemplateId": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    },
    "monthOfYear": null,
    "notUpdatePool": false,
    "poolId": {
      "attributes": { "precision": "2", "poolType": "BPT" },
      "code": "POLS",
      "description": "Default Redemption Pools",
      "notFound": false,
      "recordStatus": null
    },
    "recordNo": "864066307198957523",
    "redemptionExtract": null,
    "rewardContentEmail": null,
    "rewardContentNotification": null,
    "rewardContentSms": null,
    "ruleId": "TGR1",
    "ruleName": "Happy Birthday VIP Bonus",
    "ruleType": "MAWD",
    "segApplyFirstFlag": false,
    "status": "C",
    "stopIfCriteriaMet": false,
    "subPoolId": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    }
  },
  {
    "attrApplyFirstFlag": false,
    "campaignAwardLimits": null,
    "campaignContributors": null,
    "campaignCriteria": null,
    "campaignFormulaEights": null,
    "campaignFormulaElevens": null,
    "campaignFormulaFives": null,
    "campaignFormulaFour": null,
    "campaignFormulaOne": null,
    "campaignFormulaSetting": {
      "amountToUse": {
        "attributes": {},
        "code": null,
        "description": null,
        "notFound": false,
        "recordStatus": null
      },
      "applyCapValueAfter": null,
      "capAwardCounterId": {
        "attributes": {},
        "code": null,
        "description": null,
        "notFound": false,
        "recordStatus": null
      },
      "capAwardType": null,
      "capAwardValue": null,
      "lastApproveBy": null,
      "lastApproveByName": null,
      "lastApproveDate": null,
      "lastUpdateBy": null,
      "lastUpdateByName": null,
      "lastUpdateDate": null,
      "nParam": null,
      "recordNo": null,
      "roundingType": null,
      "ruleId": null,
      "ruleRecordNo": null,
      "status": null
    },
    "campaignFormulaSix": null,
    "campaignFormulaTens": null,
    "campaignFormulaTwo": null,
    "campaignId": {
      "attributes": {},
      "code": "LACO",
      "description": "Happy Birthday!",
      "notFound": false,
      "recordStatus": null
    },
    "campaignRuleSchedule": null,
    "campaignTcLinkages": null,
    "channel": null,
    "counterExtractRequest": null,
    "dayOfMonth": null,
    "description": null,
    "effectiveFrom": "2026-06-29T15:55:13",
    "effectivePeriodIsBase": null,
    "effectiveTo": "2029-06-29T15:55:14",
    "expiryPolicy": null,
    "expiryPolicyParam": null,
    "fixedDate": null,
    "formulaSequence": ["f2"],
    "itemCode": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    },
    "lastApproveBy": "olscnadmin",
    "lastApproveByName": "olscnadmin",
    "lastApproveDate": "2026-07-11T09:32:16.994044Z",
    "lastUpdateBy": "olscnadmin",
    "lastUpdateByName": "olscnadmin",
    "lastUpdateDate": "2026-07-11T09:31:55.902868Z",
    "marketingRewardRequest": null,
    "messageTemplateId": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    },
    "monthOfYear": null,
    "notUpdatePool": false,
    "poolId": {
      "attributes": { "precision": "2", "poolType": "BPT" },
      "code": "POLS",
      "description": "Default Redemption Pools",
      "notFound": false,
      "recordStatus": null
    },
    "recordNo": "863714215057833839",
    "redemptionExtract": null,
    "rewardContentEmail": null,
    "rewardContentNotification": null,
    "rewardContentSms": null,
    "ruleId": "FFN6",
    "ruleName": "Happy Birthday",
    "ruleType": "MAWD",
    "segApplyFirstFlag": false,
    "status": "A",
    "stopIfCriteriaMet": false,
    "subPoolId": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    }
  },
  {
    "attrApplyFirstFlag": false,
    "campaignAwardLimits": null,
    "campaignContributors": null,
    "campaignCriteria": null,
    "campaignFormulaEights": null,
    "campaignFormulaElevens": null,
    "campaignFormulaFives": null,
    "campaignFormulaFour": null,
    "campaignFormulaOne": null,
    "campaignFormulaSetting": {
      "amountToUse": {
        "attributes": {},
        "code": null,
        "description": null,
        "notFound": false,
        "recordStatus": null
      },
      "applyCapValueAfter": null,
      "capAwardCounterId": {
        "attributes": {},
        "code": null,
        "description": null,
        "notFound": false,
        "recordStatus": null
      },
      "capAwardType": null,
      "capAwardValue": null,
      "lastApproveBy": null,
      "lastApproveByName": null,
      "lastApproveDate": null,
      "lastUpdateBy": null,
      "lastUpdateByName": null,
      "lastUpdateDate": null,
      "nParam": null,
      "recordNo": null,
      "roundingType": null,
      "ruleId": null,
      "ruleRecordNo": null,
      "status": null
    },
    "campaignFormulaSix": null,
    "campaignFormulaTens": null,
    "campaignFormulaTwo": null,
    "campaignId": {
      "attributes": {},
      "code": "OLSCN",
      "description": "CN Campaign",
      "notFound": false,
      "recordStatus": null
    },
    "campaignRuleSchedule": null,
    "campaignTcLinkages": null,
    "channel": null,
    "counterExtractRequest": null,
    "dayOfMonth": null,
    "description": null,
    "effectiveFrom": "2026-05-19T00:00:00",
    "effectivePeriodIsBase": null,
    "effectiveTo": "2026-05-31T00:00:00",
    "expiryPolicy": null,
    "expiryPolicyParam": null,
    "fixedDate": null,
    "formulaSequence": ["f2", "f8"],
    "itemCode": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    },
    "lastApproveBy": null,
    "lastApproveByName": null,
    "lastApproveDate": null,
    "lastUpdateBy": "olscnadmin",
    "lastUpdateByName": "olscnadmin",
    "lastUpdateDate": "2026-06-17T09:25:40.778701Z",
    "marketingRewardRequest": null,
    "messageTemplateId": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    },
    "monthOfYear": null,
    "notUpdatePool": false,
    "poolId": {
      "attributes": { "precision": "2", "poolType": "BPT" },
      "code": "OLSP",
      "description": "OLS Point Reward",
      "notFound": false,
      "recordStatus": null
    },
    "recordNo": "855015332904974259",
    "redemptionExtract": null,
    "rewardContentEmail": null,
    "rewardContentNotification": null,
    "rewardContentSms": null,
    "ruleId": "FD41",
    "ruleName": "Happy Birthday",
    "ruleType": "MAWD",
    "segApplyFirstFlag": false,
    "status": "E",
    "stopIfCriteriaMet": false,
    "subPoolId": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    }
  },
  {
    "attrApplyFirstFlag": false,
    "campaignAwardLimits": null,
    "campaignContributors": null,
    "campaignCriteria": null,
    "campaignFormulaEights": null,
    "campaignFormulaElevens": null,
    "campaignFormulaFives": null,
    "campaignFormulaFour": null,
    "campaignFormulaOne": null,
    "campaignFormulaSetting": {
      "amountToUse": {
        "attributes": {},
        "code": null,
        "description": null,
        "notFound": false,
        "recordStatus": null
      },
      "applyCapValueAfter": null,
      "capAwardCounterId": {
        "attributes": {},
        "code": null,
        "description": null,
        "notFound": false,
        "recordStatus": null
      },
      "capAwardType": null,
      "capAwardValue": null,
      "lastApproveBy": null,
      "lastApproveByName": null,
      "lastApproveDate": null,
      "lastUpdateBy": null,
      "lastUpdateByName": null,
      "lastUpdateDate": null,
      "nParam": null,
      "recordNo": null,
      "roundingType": null,
      "ruleId": null,
      "ruleRecordNo": null,
      "status": null
    },
    "campaignFormulaSix": null,
    "campaignFormulaTens": null,
    "campaignFormulaTwo": null,
    "campaignId": {
      "attributes": {},
      "code": "OLSCN",
      "description": "CN Campaign",
      "notFound": false,
      "recordStatus": null
    },
    "campaignRuleSchedule": null,
    "campaignTcLinkages": null,
    "channel": null,
    "counterExtractRequest": null,
    "dayOfMonth": null,
    "description": null,
    "effectiveFrom": "2026-05-19T00:00:00",
    "effectivePeriodIsBase": null,
    "effectiveTo": "2026-05-31T00:00:00",
    "expiryPolicy": null,
    "expiryPolicyParam": null,
    "fixedDate": null,
    "formulaSequence": ["f2"],
    "itemCode": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    },
    "lastApproveBy": "olscnadmin",
    "lastApproveByName": "olscnadmin",
    "lastApproveDate": "2026-05-19T03:46:31.372274Z",
    "lastUpdateBy": "olscnadmin",
    "lastUpdateByName": "olscnadmin",
    "lastUpdateDate": "2026-05-19T03:46:26.746977Z",
    "marketingRewardRequest": null,
    "messageTemplateId": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    },
    "monthOfYear": null,
    "notUpdatePool": false,
    "poolId": {
      "attributes": { "precision": "2", "poolType": "BPT" },
      "code": "OLSP",
      "description": "OLS Point Reward",
      "notFound": false,
      "recordStatus": null
    },
    "recordNo": "844420713795680794",
    "redemptionExtract": null,
    "rewardContentEmail": null,
    "rewardContentNotification": null,
    "rewardContentSms": null,
    "ruleId": "FD41",
    "ruleName": "Happy Birthday",
    "ruleType": "MAWD",
    "segApplyFirstFlag": false,
    "status": "A",
    "stopIfCriteriaMet": false,
    "subPoolId": {
      "attributes": {},
      "code": null,
      "description": null,
      "notFound": false,
      "recordStatus": null
    }
  }
]
